Silk UI Exercise

  

Hi,


At page 11 when asking to publish the application and open in a browser I received the error: There was an error processing your request. Please try again later...

Thanks,

Hi,

What is the error? It happens on publish or opening in browser?


Abílio Matos

On opening in the browser

Hi Chris,

Publish the espace again. If you still have the error check service center for error log. Check this page that teach you how to do it in the "Service Center logs" part

https://success.outsystems.com/Support/Enterprise_Customers/Troubleshooting/How_to_obtain_error_logs_for_troubleshooting_purposes

Let us know the error.

Regards,

Marcelo

Hi,


Below is the error from the service centre logs:

Hi Chris,

Refresh the references before publishing your espace. here a post that explains it

https://www.outsystems.com/forums/discussion/20612/refresh-references-in-espace/

Regards,

Marcelo

I just refreshed the references however I am still getting the same issue.

I dont think the error log from the service centre was the error I am receiving on the open in browser page.

You dont have any other error there?


this is a screenshot of the error log:


Hi Chris,

Go to service center and publish DublinTheme again

Regards,

Marcelo

This was the result of publishing the Dublin Theme:


To be honest dunno why you cant publish the application. Can you try publish only the DublinTheme espace?


Your best bet is to contact Outsystems support if your espace/module keeps getting deadlocked.

how do i publish just the Dublin espace?


chris Jeans wrote:

how do i publish just the Dublin espace?



Go to Service Center, under Factory - eSpaces
Where I've searched for theme, search for Dublin; Open the eSpace; Then, click one of the buttons I've indicated bellow!

Hope it works ;)

Hi Chris,

Reading the error message, I guess your Dublin Theme and your Silk UI Web are incompatibles. So, even you republish the Dublin and your app, this error will persist.  Try to download Silk UI and Dublin again and publish them in your environment.  You should check if both are from the same version before do it.

Best Regards

Fabio Fantato

Hi everyone!

I had the same problems as Chris when I did the silk UI exercise a month ago. There are some incompatibilities between the actual versions of Dublin and Silk UI (and Charts) and the ones that supports the quickstart file. 

The exercise requires you to use a quickstart (lesson materials), and I would suppose that the problem is there.

https://www.outsystems.com/learn/lesson/869/silk-ui-exercise/

At that time, I sent a lot of feedback messages (a lot of errors appeared when I managed dependencies or even publish). 

I finished to do a Orders by scratch (the main objective of the excercise was to me to learn), and things start to go smoothly.

I would suggest Outsystems to review this exercise and its lesson materials.